package com.chenyang.nse.bussiness.service.core.config;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.config.TcoreBaseConfig;
import java.util.List;

public interface BaseConfigService {
   void removeConfigById(String id);

   void addConfig(TcoreBaseConfig config);

   TcoreBaseConfig getConfigById(String id);

   List<TcoreBaseConfig> getConfigList(String groupName, String categoryName);

   List<TcoreBaseConfig> getConfigList(PageInfo pageInfo, String groupName, String categoryName);

   String getConfigCnt(String categoryName);

   List<TcoreBaseConfig> getConfigList(String isEffectiveImmediately);

   void updateConfig(TcoreBaseConfig config);

   List<String> getCategoryNameList();

   List<String> getGroupNameList(String categoryId);

   void initConfig();
}
